classification
Title: Python 2.5.2 - Python
Type: crash Stage:
Components: None Versions: Python 2.5
process
Status: closed Resolution: not a bug
Dependencies: Superseder:
Assigned To: Nosy List: gpolo, peterdilley
Priority: normal Keywords:

Created on 2008-06-24 23:44 by peterdilley, last changed 2008-06-25 00:13 by peterdilley. This issue is now closed.

Files
File name Uploaded Description Edit
Pyglet 1.1 Beta 2 GL crash after selecting window making active.rtf peterdilley, 2008-06-24 23:44 Rich Text File containing the ineteractive session
Messages (3)
msg68711 - (view) Author: Peter Dilley (peterdilley) Date: 2008-06-24 23:44
I have noticed a new crash when using pyglet module after installing 
the latest Apple security patch/framework for Quicktime, Quicktime 
Framework 7.5.0.

This error is repeatable.

This error occurs when the opened window is selected/made active with 
the mouse pointer.

This error occured when using OpenGL.

Session below:
Python 2.5.2 (r252:60911, Feb 22 2008, 07:57:53) 
[GCC 4.0.1 (Apple Computer, Inc. build 5363)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> from pyglet.gl import *
>>> window = pyglet.window.Window()
>>> @window.event
... def on_draw():
...     glClear(GL_COLOR_BUFFER_BIT)
...     glLoadIdentity()
...     glBegin(GL_TRIANGLES)
...     glVertex2f(0, 0)
...     glVertex2f(window.width, 0)
...     glVertex2f(window.width, window.height)
...     glEnd()
... 
>>> pyglet.app.run()
2008-06-24 20:14:06.232 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.239 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.245 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.249 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.256 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.262 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.268 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.274 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.302 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.308 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.380 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.387 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.394 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.400 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.407 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.413 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.433 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.449 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.456 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.561 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.568 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.575 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.583 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
2008-06-24 20:14:06.589 Python[2420:613] Error 
loading /Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 
6 Decoder:  dlopen(/Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder, 262): Symbol not 
found: _GetDataHandler
  Referenced from: /Library/QuickTime/DivX 6 
Decoder.component/Contents/MacOS/DivX 6 Decoder
  Expected in: flat namespace
msg68712 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-06-24 23:56
Neither pyglet nor anything else you installed is part of Python's
source, you will have to re-report this at the appropriate place.
msg68713 - (view) Author: Peter Dilley (peterdilley) Date: 2008-06-25 00:13
Done at pyglet,

Thanks for the update, my first Python error like that, could not
determine where the issue was stemming from.

My worry was the latest security patching from Apple introduced this
bug with the Mac version of Python.org's implementation.

Cheers,
Peter

2008/6/25 Guilherme Polo <report@bugs.python.org>:
>
> Guilherme Polo <ggpolo@gmail.com> added the comment:
>
> Neither pyglet nor anything else you installed is part of Python's
> source, you will have to re-report this at the appropriate place.
>
> ----------
> nosy: +gpolo
> resolution:  -> invalid
> status: open -> closed
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue3193>
> _______________________________________
>
History
Date User Action Args
2008-06-25 00:13:28peterdilleysetmessages: + msg68713
title: Python 2.5.2 - Python[2420:613] Error loading / flat namespace error -> Python 2.5.2 - Python
2008-06-24 23:56:15gpolosetstatus: open -> closed
resolution: not a bug
messages: + msg68712
nosy: + gpolo
2008-06-24 23:44:23peterdilleycreate